# -*- coding: utf-8 -*-


class Request(object):
    """
    请求
    """

    conn = None
    raw_data = None
    json_data = None

    def __init__(self, conn, raw_data):
        self.conn = conn
        self.raw_data = raw_data

        # 为了书写方便
        self.write = conn.write
        self.finish = conn.finish
        self.close = conn.close

    @property
    def server(self):
        return self.conn.server

    @property
    def address(self):
        return self.conn.address

    @property
    def logger(self):
        return self.conn.server.logger

    @property
    def endpoint(self):
        try:
            return self.json_data[self.conn.endpoint_name]
        except:
            return None
